//+------------------------------------------------------------------+
//|                                                       iTrend.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
// Modify 

#property copyright "Copyright  2004, MetaQuotes Software Corp. && Victor I. Nikolaev"
#property link      "http://www.metaquotes.net"
//----
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1  Red
#property indicator_color2  Yellow
#property indicator_level1 0

//---- input parameters
extern int Volume.Period=14;
extern int Volume.Mode=0;

//---- buffers
double value0[];
double value1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   //   string short_name;


   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexDrawBegin(0,0);
   SetIndexBuffer(0,value0);

   SetIndexStyle(1,DRAW_LINE);
   SetIndexDrawBegin(1,0);
   SetIndexBuffer(1,value1);

   return(0);
  }
//+------------------------------------------------------------------+
//| Trend                                                         |
//+------------------------------------------------------------------+
int start()
  {
   int limit, i, j, counter;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;

   limit=Bars-counted_bars-1;

   double _High0, _Low0,_High1, _Low1;

   for(i=limit; i>=0; i--) {
      value0[i]=Volume[i];
     }

   for(i=limit; i>=0; i--) {
      value1[i]=iMAOnArray(value0,0,Volume.Period,0,Volume.Mode,i);
     }
   return(0);
  }
//+------------------------------------------------------------------+